public class CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir extends Object
| Constructor and Description |
|---|
Fhir() |
| Modifier and Type | Method and Description |
|---|---|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Capabilities |
capabilities(String name)
Gets the FHIR capability statement
([STU3](http://hl7.org/implement/standards/fhir/STU3/capabilitystatement.html),
[R4](http://hl7.org/implement/standards/fhir/R4/capabilitystatement.html)), or the [conformance
statement](http://hl7.org/implement/standards/fhir/DSTU2/conformance.html) in the DSTU2 case for
the store, which contains a description of functionality supported by the server.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalDelete |
conditionalDelete(String parent,
String type)
Deletes a FHIR resource that match an identifier search query.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalPatch |
conditionalPatch(String parent,
String type,
HttpBody content)
If a resource is found with the identifier specified in the query parameters, updates part of
that resource by applying the operations specified in a [JSON Patch](http://jsonpatch.com/)
document.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalUpdate |
conditionalUpdate(String parent,
String type,
HttpBody content)
If a resource is found with the identifier specified in the query parameters, updates the entire
contents of that resource.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Create |
create(String parent,
String type,
HttpBody content)
Creates a FHIR resource.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Delete |
delete(String name)
Deletes a FHIR resource.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ExecuteBundle |
executeBundle(String parent,
HttpBody content)
Executes all the requests in the given Bundle.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.History |
history(String name)
Lists all the versions of a resource (including the current version and deleted versions) from
the FHIR store.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Patch |
patch(String name,
HttpBody content)
Updates part of an existing resource by applying the operations specified in a [JSON
Patch](http://jsonpatch.com/) document.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.PatientEverything |
patientEverything(String name)
Retrieves a Patient resource and resources related to that patient.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Read |
read(String name)
Gets the contents of a FHIR resource.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ResourcePurge |
resourcePurge(String name)
Deletes all the historical versions of a resource (excluding the current version) from the FHIR
store.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ResourceValidate |
resourceValidate(String parent,
String type,
HttpBody content)
Validates an input FHIR resource's conformance to its profiles and the profiles configured on the
FHIR store.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Search |
search(String parent,
SearchResourcesRequest content)
Searches for resources in the given FHIR store according to criteria specified as query
parameters.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.SearchType |
searchType(String parent,
String resourceType,
SearchResourcesRequest content)
Searches for resources in the given FHIR store according to criteria specified as query
parameters.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Update |
update(String name,
HttpBody content)
Updates the entire contents of a resource.
|
CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Vread |
vread(String name)
Gets the contents of a version (current or historical) of a FHIR resource by version ID.
|
public CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.PatientEverything patientEverything(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. Name of the `Patient` resource for which the information is required.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ResourcePurge resourcePurge(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to purge.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ResourceValidate resourceValidate(String parent, String type, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. The name of the FHIR store that holds the profiles being used for validation.type - Required. The FHIR resource type of the resource being validated. For a complete list, see the FHIR
Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), or
[R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the
resource type in the provided content.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Capabilities capabilities(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. Name of the FHIR store to retrieve the capabilities for.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalDelete conditionalDelete(String parent, String type) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. The name of the FHIR store this resource belongs to.type - Required. The FHIR resource type to delete, such as Patient or Observation. For a complete list, see
the FHIR Resource Index
([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html),
[R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalPatch conditionalPatch(String parent, String type, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. The name of the FHIR store this resource belongs to.type - Required. The FHIR resource type to update, such as Patient or Observation. For a complete list, see
the FHIR Resource Index
([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html),
[R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ConditionalUpdate conditionalUpdate(String parent, String type, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. The name of the FHIR store this resource belongs to.type - Required. The FHIR resource type to update, such as Patient or Observation. For a complete list, see
the FHIR Resource Index
([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html),
[R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the
resource type in the provided content.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Create create(String parent, String type, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. The name of the FHIR store this resource belongs to.type - Required. The FHIR resource type to create, such as Patient or Observation. For a complete list, see
the FHIR Resource Index
([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html),
[R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the
resource type in the provided content.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Delete delete(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to delete.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.ExecuteBundle executeBundle(String parent, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. Name of the FHIR store in which this bundle will be executed.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.History history(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to retrieve.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Patch patch(String name, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to update.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Read read(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to retrieve.IOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Search search(String parent, SearchResourcesRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. Name of the FHIR store to retrieve resources from.content - the SearchResourcesRequestIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.SearchType searchType(String parent, String resourceType, SearchResourcesRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. Name of the FHIR store to retrieve resources from.resourceType - Required. The FHIR resource type to search, such as Patient or Observation. For a complete list, see
the FHIR Resource Index
([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html),
[STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html),
[R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)).content - the SearchResourcesRequestIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Update update(String name, HttpBody content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource to update.content - the HttpBodyIOExceptionpublic CloudHealthcare.Projects.Locations.Datasets.FhirStores.Fhir.Vread vread(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the resource version to retrieve.IOExceptionCopyright © 2011–2024 Google. All rights reserved.